package com.qiaoba.module.system.service;

import com.qiaoba.api.system.entity.SysUserPost;

import java.util.List;

/**
 * 用户岗位关联 服务层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/9 9:50
 */
public interface SysUserPostService {

    /**
     * 批量新增
     *
     * @param list list
     */
    void insertBatch(List<SysUserPost> list);

    /**
     * 通过userId删除
     *
     * @param userId userId
     */
    void deleteByUserId(String userId);

    /**
     * 通过userIds删除
     *
     * @param userIds userIds
     */
    void deleteByUserIds(List<String> userIds);

    /**
     * 通过userId查询所绑定的岗位ID列表
     *
     * @param userId userId
     * @return postIds
     */
    List<String> selectPostIdsByUserId(String userId);

    /**
     * 查询正在被使用的岗位名称列表
     *
     * @param postIds postIds
     * @return postNames
     */
    List<String> selectUsedPostNameByIds(List<String> postIds);

    /**
     * 查询用户拥有的岗位
     *
     * @param userId userId
     * @return 岗位 逗号拼接
     */
    String selectPostGroup(String userId);
}
